
ArrayList transactions = null;         //create a container for transactions from the data
int squareSize = 50;                   //sets the size of the squares being drawn
int counter = 0;                       //counter to keep track of the transactions being used. 

void setup()
{
   ///Set up Canvas 
  size(1000,700);       //setup a 500 by 500 Pixel Space to work with 280 transactions...for you want to show more make sure you have enough transactions in your splxmldata.txt file.
  background(255);     //set background to white (255)
  frameRate(60);       //set the frameRate of the Visualization 
  this.transactions = loadTransactions();   //load the transactions from the splxmldata.txt file 
}

void draw()        //draw loop that runs over and over until user quits
{
  background(255);  //sets the background color to white = 255; 

  Transaction t;     //create a transaction object
  
  for(int i = 0; i < width; i = i + squareSize)      //nested for loops to create a grid of squares. 
  {
    for(int k = 0; k < height; k = k + squareSize)
    {
      t = (Transaction) transactions.get(counter);
      String number = t.deweyClass.substring(0,3);  
      int value = Integer.parseInt(number);
      value = (int)map(value,700,800,0,255); 
      fill(value); 
      rect(i,k,squareSize,squareSize); 
      counter = counter + 1;    
    }
  }  
  
  if(mousePressed == true)
  {
    println(counter);
  }
  
 counter = 0;             //sets the counter to zero to start over again
 
}
